Subject: Re: CGit and repository list

From: Petr Baudis <[email-masked]>
Date: Sat, 13 Sep 2008 21:49:39 +0200

On Sat, Sep 13, 2008 at 01:20:50AM +0200, Lars Hjemli wrote:
> I guess I could add support for something like
> 
>   scan-paths=/pub/git
> 
> in cgitrc (and optionally store the result of the scan as another
> cgitrc-file in the cache directory). Would that improve things for
> you?

Yes, certainly.

> > Unfortunately, the recommended RewriteRule is not working - it does not
> > play well together with query parameters cgit is using, so e.g. browsing
> > past commits does not work. What RewriteRule should I use instead?
> 
> On hjemli.net I used to specify "virtual-root=/git" in cgitrc combined
> with this rule in /etc/apache/httpd.conf
> 
>   RewriteRule ^/git/(.*)$   /cgit/cgit.cgi?url=$1  [L,QSA]

Ah, I see - sorry. I forgot the [L,QSA] part.

I wonder why

	http://repo.or.cz/c/libc.git/

has such a funny-looking summary page.

Let me know if you want me to update cgit there sometime. In the next
days I will add some means for switching between cgit and gitweb views.

P.S.: Johan - I discovered the cause of my problems - .strip() is
totally inappropriate string method to call here, it takes a _set_ of
characters.

-- 
				Petr "Pasky" Baudis
The next generation of interesting software will be done
on the Macintosh, not the IBM PC.  -- Bill Gates